<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\City;
use Illuminate\Http\Request;

class AreasController extends Controller
{
    public function create($id)
    {
        return view('admin.areas.create', compact('id'));
    }

    public function store(Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
            'parent_id' => 'required|exists:countries,id'
        ]);
        $city = new City();
        $city['name->ar'] = $request['name_ar'];
        $city['name->en'] = $request['name_en'];
        $city['country_id'] = $request['parent_id'];
        $city['type'] = 'area';
        $city->save();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('countries.show', $request['parent_id']);
    }

    public function edit($id)
    {
        $row = City::find($id);
        return view('admin.areas.edit', compact('row'));
    }

    public function update($id, Request $request)
    {
        $request->validate([
            'name_ar' => 'required',
            'name_en' => 'required',
        ]);
        $city = City::find($id);
        $city['name->ar'] = $request['name_ar'];
        $city['name->en'] = $request['name_en'];

        $city->update();
        toast('تمت العملية بنجاح', 'success');
        return redirect()->route('countries.show', $city->country_id);

    }

    public function destroy($id)
    {
        City::destroy($id);
        toast('تم الحذف بنجاح', 'success');
        return redirect()->back();
    }
    public function show($id)
    {
        $rows = City::whereParentId($id)->where('type', 'city')->orderByDesc('id')->get();

        return view('admin.cities.index', compact('rows', 'id'));
    }
}
