<?php

namespace App\Http\Resources;

use App\Models\Setting;
use Illuminate\Http\Resources\Json\JsonResource;

class OrderRescource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $setting = Setting::first();
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        return [
            'id' => $this->id,
            'title' => $this->title,
            'description' => $this->description,
            'owner_id' => $this->user_id,
            'owner_username' => $this->user ? $this->user->username : '',
            'owner_mobile' => $this->user ? $this->user->mobile : '',
            'owner_email' => $this->user ? $this->user->email : '',
            'owner_image' => $this->user->image ? asset('images/users/' . $this->user->image) : '',
            'user_rate'=>getUserRate($this->user_id),
            'worker_id'=>$this->worker_id ? (integer)$this->worker_id : 0,
            'worker_username' => $this->worker ? $this->worker->username : '',
            'worker_mobile' => $this->worker ? $this->worker->mobile : '',
            'worker_email' => $this->worker ? $this->worker->email : '',
            'worker_image' => ($this->worker  && $this->worker->image)? asset('images/users/' . $this->worker->image) : '',
            'worker_rate'=>$this->worker_id ? getUserRate($this->worker_id) : 0,
            'city_id'=>$this->city ? (integer)$this->city->id : 0,
            'city_name'=>$this->city ? $this->city->name[$lang] : '',
            'lat'=>$this->address_detail ? $this->address_detail->lat : '',
            'lng'=>$this->address_detail ? $this->address_detail->lng : '',
            'address'=>$this->address_detail ? $this->address_detail->address : '',
            'date'=>$this->date ? $this->date : '',
            'start_time'=>$this->start_time ? $this->start_time : '',
            'finish_time'=>$this->finish_time ? $this->finish_time : '',
            'price_offer'=>$this->price_offer ? $this->price_offer : '',
            'total_price'=>$this->total_price ? $this->total_price : '',
            'additional_fee'=> (integer)($this->price_offer * $setting->fee / 100),
            'payment_type'=>$this->payment_type ? $this->payment_type : '',
            'finish_code'=>$this->finish_code ? (string)$this->finish_code : '',
            'status'=>$this->status ? $this->status : '',
            'code'=>$this->code ? (string)$this->code : '',
            'images'=>OrderImagesResource::collection($this->images),
            'categories'=>SubCategoriesResource::collection($this->categories),
            'offers'=>OffersResource::collection($this->offers)


        ];
    }
}
