<?php

namespace App\Http\Resources;
use JWTAuth;

use Illuminate\Http\Resources\Json\JsonResource;

class PackagesResource extends JsonResource
{
    /**
     * Transform the resource into an array.
     *
     * @param \Illuminate\Http\Request $request
     * @return array
     */
    public function toArray($request)
    {
        $lang = $request->header('Accept-Language', 'ar');
        \App::setLocale($lang);
        if (!$user = JWTAuth::parseToken()->authenticate()) {
            return response()->json(['value' => false, 'msg' => \Lang::get('data.wrong_token'), 'code' => 401]);
        }
        if ($user->category_type == 'single'){
            $price = $this->single_price;
        }else{
            $price = $this->price;
        }

        return [
            'id' => $this->id,
            'title'=>$this->title[$lang],
            'description'=>$this->description[$lang],
            'image'=>$this->image,
            'duration'=>$this->duration,
            'price'=>$price
        ];
    }
}
