<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class AlzamaTransfer extends Model
{
    protected $table = 'alzama_transfers';
    protected $fillable = ['user_id', 'bank_id', 'image'];

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function bank()
    {
        return $this->belongsTo(Bank::class, 'bank_id');
    }
    public function setImageAttribute()
    {
        $file = request()->file('image');
        $destinationPath = 'images/transfers/';
        $filename = '3331' . time() . '.' . $file->getClientOriginalExtension();
        $file->move($destinationPath, $filename);
        $this->attributes['image'] = $filename;
    }

    public function getImageAttribute()
    {
        if ($this->attributes['image']) {
            return asset('images/transfers/') . '/' . $this->attributes['image'];
        }
        return " ";
    }
}
