<?php

namespace App\Models;

use App\User;
use Illuminate\Database\Eloquent\Model;

class Order extends Model
{

    protected $table = 'orders';
    public $timestamps = true;
    protected $fillable = array('user_id', 'title', 'description', 'city_id', 'lat', 'lng', 'address', 'date', 'start_time', 'finish_time', 'worker_id', 'price_offer', 'total_price', 'payment_type', 'finish_code', 'status', 'code', 'offer_id', 'system_money', 'address_id');

    public function offer()
    {
        return $this->hasOne(Offer::class, 'offer_id');
    }

    public function city()
    {
        return $this->belongsTo(City::class, 'city_id');
    }

    public function user()
    {
        return $this->belongsTo(User::class, 'user_id');
    }

    public function worker()
    {
        return $this->belongsTo(User::class, 'worker_id');
    }

    public function images()
    {
        return $this->hasMany(OrderImage::class, 'order_id');
    }

    public function categories()
    {
        return $this->belongsToMany(Category::class, 'order_categories', 'order_id', 'category_id');
    }

    public function offers()
    {
        return $this->hasMany(Offer::class, 'order_id');
    }

    public function address_detail()
    {
        return $this->belongsTo(Address::class, 'address_id');
    }

}
